# Contributing to the Probability CLI

We appreciate your interest in contributing to the Probability CLU! This document provides guidelines and instructions for contributing to the project.

## Code of Conduct

By participating in this project, you agree to abide by our [Code of Conduct](CODE_OF_CONDUCT.md). Please read it before contributing.

## Reporting Issues

If you find a bug, have a question, or want to request a new feature, please [create an issue](https://github.com/bencgreenberg/probability-cli/issues/new) in the project repository. When reporting a bug, please include:

- A clear and descriptive title
- Steps to reproduce the issue
- The expected behavior
- The actual behavior you observed
- Any relevant error messages or screenshots

## Submitting Changes

To contribute to this project, please follow these steps:

1. Fork the repository on GitHub.
2. Create a new branch for your changes. Use a descriptive name, such as `fix-bug-xyz` or `add-new-feature-abc`.
3. Make your changes in the new branch.
4. Ensure your changes do not break any tests or introduce new issues by running tests and linters.
5. Commit your changes, using clear and descriptive commit messages.
6. Push your changes to your fork on GitHub.
7. Create a [pull request](https://github.com/bencgreenberg/probability-cli/compare) to the main repository.

Please keep your pull request focused on a single issue or feature. If you have multiple unrelated changes, create separate pull requests for each.

## Code Style and Conventions

Please follow the code style and conventions used throughout the project. This may include:

- Indentation and whitespace
- Naming conventions for variables, functions, and classes
- Code organization and structure
- Comments and documentation

If the project uses any linters or formatters, please ensure your changes conform to the configuration provided.

## Testing

If your changes include new functionality or fix a bug, please include tests that cover the new or updated code. Tests should be clear, comprehensive, and pass on all supported platforms.

## Documentation

When you make changes that affect how the project is used or configured, please update the relevant documentation, such as README files, API documentation, or user guides.

## Getting Help

If you have questions or need help with contributing, please [create an issue](https://github.com/bencgreenberg/probability-cli/issues/new) or reach out to the project maintainers through the preferred communication channels.

Thank you for contributing to Probability CLI!